/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*exported data*/

var data = (function() {
    var data = {};

    /**
     * data.cityArray stores information about a list of cities
     * (Cities are selected exclusively for the purpose of the sample)
     * cityName - the official name of the city
     * mapX - the x coordinate of the location of the city on the map
     * mapY - the y coordinate of the location of the city on the map
     * tzid - the timezone id of the city
     */
    data.cityArray = [{
        cityName: "None",
        mapX: 0,
        mapY: 0,
        tzid: "NONE"
    }, {
        cityName: "Seoul",
        mapX: 87,
        mapY: 43,
        tzid: "Asia/Seoul"
    }, {
        cityName: "Cape Town",
        mapX: 5,
        mapY: 110,
        tzid: "Africa/Johannesburg"
    }, {
        cityName: "London",
        mapX: -30,
        mapY: 35,
        tzid: "Europe/London"
    }, {
        cityName: "New York",
        mapX: -100,
        mapY: 45,
        tzid: "America/New_York"
    }, {
        cityName: "Vancouver",
        mapX: -125,
        mapY: 35,
        tzid: "America/Vancouver"
    }];

    /**
     * data.colorCity stores information about the city-color selection
     * colorCode - the Hex code of the color
     * cityId - the index of the selected city in the cityArray
     */
    data.colorCity = [{
        colorCode: "f6a615",
        cityId: 0
    }, {
        colorCode: "e82a37",
        cityId: 0
    }, {
        colorCode: "0da921",
        cityId: 0
    }, {
        colorCode: "133ad9",
        cityId: 0
    }, {
        colorCode: "cc4a30",
        cityId: 0
    }];

    return data;
}());